# Uses of Class
org.eclipse.mat.query.ContextDerivedData.DerivedOperation

Packages that use ContextDerivedData.DerivedOperation
Package
Description
org.eclipse.mat.query
Package for examining and controlling results of running queries.
org.eclipse.mat.query.quantize
Value or linear frequency distribution histograms.
org.eclipse.mat.query.refined
A way of controlling the detail given by the output of a query.
org.eclipse.mat.snapshot.query
Utilities to develop heap dump queries.
org.eclipse.mat.ui.internal.viewer
Allows filtering of the display of tables and trees, for example excluding certain class names - user interface (not API).

## Uses of ContextDerivedData.DerivedOperation in org.eclipse.mat.query

Methods in org.eclipse.mat.query that return ContextDerivedData.DerivedOperation
Modifier and Type
Method
Description
`ContextDerivedData.DerivedOperation[]`
ContextDerivedData.DerivedColumn.`getOperations()`
Possible operations to generate the column values.
`ContextDerivedData.DerivedOperation[]`
ContextProvider.`getOperations()`
Extra operations to calculate more columns.
Methods in org.eclipse.mat.query that return types with arguments of type ContextDerivedData.DerivedOperation
Modifier and Type
Method
Description
`Collection<ContextDerivedData.DerivedOperation>`
ResultMetaData.`getDerivedOperations()`
Get the operations.
Methods in org.eclipse.mat.query with parameters of type ContextDerivedData.DerivedOperation
Modifier and Type
Method
Description
`ResultMetaData.Builder`
ResultMetaData.Builder.`addDerivedData(ContextDerivedData.DerivedOperation action)`
Extra data for the result
`void`
ContextDerivedData.DerivedCalculator.`calculate(ContextDerivedData.DerivedOperation operation, Object row, IProgressListener listener)`
Do the calculation for the row.
`final ContextDerivedData.DerivedColumn`
ContextDerivedData.`lookup(ContextDerivedData.DerivedOperation operation)`
Find the appropriate column for the requested operation
Constructors in org.eclipse.mat.query with parameters of type ContextDerivedData.DerivedOperation
Modifier
Constructor
Description
``
`ContextProvider(String label, ContextDerivedData.DerivedOperation... operations)`
Creates a ContextProvider which will be queried later to find out more details about a row in a report.
``
`DerivedColumn(String label, ContextDerivedData.DerivedOperation... operations)`
A derived column.

## Uses of ContextDerivedData.DerivedOperation in org.eclipse.mat.query.quantize

Methods in org.eclipse.mat.query.quantize with parameters of type ContextDerivedData.DerivedOperation
Modifier and Type
Method
Description
`Quantize.Builder`
Quantize.Builder.`addDerivedData(ContextDerivedData.DerivedOperation operation)`

## Uses of ContextDerivedData.DerivedOperation in org.eclipse.mat.query.refined

Methods in org.eclipse.mat.query.refined that return ContextDerivedData.DerivedOperation
Modifier and Type
Method
Description
`ContextDerivedData.DerivedOperation`
RefinedStructuredResult.DerivedDataJobDefinition.`getOperation()`
Methods in org.eclipse.mat.query.refined with parameters of type ContextDerivedData.DerivedOperation
Modifier and Type
Method
Description
`void`
RefinedResultBuilder.`addContextDerivedColumn(ContextProvider provider, ContextDerivedData.DerivedOperation operation)`
`void`
RefinedResultBuilder.`addDefaultContextDerivedColumn(ContextDerivedData.DerivedOperation operation)`
Add a derived column such as for retained size.
`void`
RefinedStructuredResult.`calculate(ContextProvider provider, ContextDerivedData.DerivedOperation operation, List<?> elements, RefinedStructuredResult.ICalculationProgress progress, IProgressListener listener)`
`void`
RefinedStructuredResult.DerivedDataJobDefinition.`setOperation(ContextDerivedData.DerivedOperation operation)`
Constructors in org.eclipse.mat.query.refined with parameters of type ContextDerivedData.DerivedOperation
Modifier
Constructor
Description
``
`DerivedDataJobDefinition(ContextProvider provider, ContextDerivedData.DerivedOperation operation)`

## Uses of ContextDerivedData.DerivedOperation in org.eclipse.mat.snapshot.query

Fields in org.eclipse.mat.snapshot.query declared as ContextDerivedData.DerivedOperation
Modifier and Type
Field
Description
`static final ContextDerivedData.DerivedOperation`
RetainedSizeDerivedData.`APPROXIMATE`
Indicates approximate retained size.
`static final ContextDerivedData.DerivedOperation`
RetainedSizeDerivedData.`PRECISE`
Indicates exact retained size.

## Uses of ContextDerivedData.DerivedOperation in org.eclipse.mat.ui.internal.viewer

Methods in org.eclipse.mat.ui.internal.viewer with parameters of type ContextDerivedData.DerivedOperation
Modifier and Type
Method
Description
`void`
RefinedResultViewer.`showDerivedDataColumn(ContextProvider provider, ContextDerivedData.DerivedOperation operation)`